-- Tbl src: tabele/sumy.sql

-- rozpoczecie transakcji
BEGIN TRAN

-- sprawdzenie: tabela pusta
SELECT * FROM sumy

-- poprawne wstawienie
INSERT INTO sumy(liczba_1,liczba_2) VALUES (1234,8)

-- sprawdzenie: tabela zawiera jeden wiersz
SELECT * FROM sumy

-- niepoprawne wstawienie (kolumna 'liczba_2' nie moze by NULL)
INSERT INTO sumy(liczba_1) VALUES(4)

-- anulowanie transakcji gdy wystapil blad
IF @@ERROR > 0 ROLLBACK TRAN

-- sprawdzenie: tabela ponownie pusta
SELECT * FROM sumy

-- zatwierdzenie transakcji gdy nie ma bledy
COMMIT TRAN

DELETE FROM sumy
