CREATE TRIGGER safety 
ON DATABASE 
FOR DROP_TABLE, ALTER_TABLE 
AS 
BEGIN
	PRINT 'You must disable Trigger "safety" to drop or alter tables!' 
   	ROLLBACK
END

-- TEST
-- 1. Tworzymy tabele
CREATE TABLE tmp_table (col1 int)

-- 2. Prba usunicia tabeli - poraka
DROP table tmp_table

-- 3. Wyczenie triggera
DISABLE TRIGGER safety ON DATABASE

-- 4. Ponowna prba - sukces
DROP table tmp_table


ENABLE TRIGGER safety ON DATABASE



SELECT * FROM tmp_table