CREATE TRIGGER trg_sumy_a_ins ON sumy
AFTER INSERT
AS
BEGIN
	WAITFOR DELAY '000:00:10'
	UPDATE sumy SET suma = liczba_1 + liczba_2 WHERE id IN (SELECT id FROM Inserted)
END

-- 1. Wstawiamy liczby
INSERT INTO sumy(liczba_1, liczba_2) VALUES (4,5)

-- 2. Sprawdzamy zawarto tabeli
SELECT * FROM sumy

CREATE TRIGGER trg_sumy_a_ins_upd_del ON sumy
AFTER INSERT, UPDATE, DELETE
AS
BEGIN
	IF EXISTS(SELECT * FROM inserted)
		IF EXISTS(SELECT * FROM deleted)
			PRINT 'Trigger AFTER UPDATE'
		ELSE
			PRINT 'Trigger AFTER INSERT'
	ELSE
		PRINT 'Trigger AFTER DELETE'
END

SELECT * FROM sumy

INSERT INTO sumy(liczba_1,liczba_2) VALUES(1,2)
UPDATE sumy SET liczba_1 = 2
DELETE FROM sumy WHERE liczba_1 = 2